package com.kmall.api.service;

import com.kmall.api.dao.ApiMerchUserMapper;
import com.kmall.api.entity.MerchUserVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * Service实现类
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-12-05 14:34:32
 */
@Service
public class ApiMerchUserService {
    @Autowired
    private ApiMerchUserMapper apiMerchUserMapper;

    public MerchUserVo queryObject(Integer id) {
        return apiMerchUserMapper.queryObject(id);
    }

    public List<MerchUserVo> queryList(Map<String, Object> map) {
        return apiMerchUserMapper.queryList(map);
    }

    public int queryTotal(Map<String, Object> map) {
        return apiMerchUserMapper.queryTotal(map);
    }

    public int save(MerchUserVo merchUser) {
        return apiMerchUserMapper.save(merchUser);
    }

    public int update(MerchUserVo merchUser) {
        return apiMerchUserMapper.update(merchUser);
    }

    public int delete(Integer id) {
        return apiMerchUserMapper.delete(id);
    }

    public int deleteBatch(Integer[]ids) {
        return apiMerchUserMapper.deleteBatch(ids);
    }

    public MerchUserVo queryObjectByStoreId(Long storeId,Long userId){
        return apiMerchUserMapper.queryObjectByStoreId(storeId,userId);
    }
    public int updateStoreLoadGoodsById(MerchUserVo merchUserVo){
        return apiMerchUserMapper.updateStoreLoadGoodsById(merchUserVo);
    }
}
